summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2019-10-25 00:45:37 +0200
committerCarl Hetherington <cth@carlh.net>2019-10-25 00:45:57 +0200
commit21b2e5d0e658cfc664a70a41ef9c4c2970f01f28 (patch)
treecd92e944cb9efde8d730e015cbf1a184e3d9ba32
parentf37e6b5a0f320d4352b87b97f78afae762512b93 (diff)
Only notarize thin OSX builds.
-rw-r--r--platform/osx/make_dmg.sh42
1 files changed, 24 insertions, 18 deletions
diff --git a/platform/osx/make_dmg.sh b/platform/osx/make_dmg.sh
index f5124f2e9..587cacbf8 100644
--- a/platform/osx/make_dmg.sh
+++ b/platform/osx/make_dmg.sh
@@ -325,25 +325,31 @@ EOF
set -e
codesign --verify --verbose --sign "Developer ID Application: Carl Hetherington (R82DXSR997)" "$dmg"
- id=$(xcrun altool --notarize-app -t osx -f "$dmg" --primary-bundle-id $bundle_id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml | grep -C1 RequestUUID | tail -n 1 | sed -e "s/<string>//g" | sed -e "s/<\/string>//g")
- N=0
- while [ 1 ]; do
- echo "Checking up on $id"
- status=$(xcrun altool --notarization-info $id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml | grep -C1 "<key>Status</key>" | tail -n 1 | sed -e "s/ .//g")
- echo "Got $status"
- if [ "$status" == "<string>success</string>" ]; then
- break
- fi
- sleep 30
- N=$((N+1))
- if [ "$N" == "10" ]; then
- echo "Timed out waiting for notarization"
- exit 1
- fi
- done
+ # We only notarize thin builds, as if we're building universal binaries we must be on an OS
+ # sufficiently old that it can't notarize anyway
+ if [ "$TYPE" == "thin" ]; then
+
+ id=$(xcrun altool --notarize-app -t osx -f "$dmg" --primary-bundle-id $bundle_id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml | grep -C1 RequestUUID | tail -n 1 | sed -e "s/<string>//g" | sed -e "s/<\/string>//g")
+ N=0
+ while [ 1 ]; do
+ echo "Checking up on $id"
+ status=$(xcrun altool --notarization-info $id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml | grep -C1 "<key>Status</key>" | tail -n 1 | sed -e "s/ .//g")
+ echo "Got $status"
+ if [ "$status" == "<string>success</string>" ]; then
+ break
+ fi
+ sleep 30
+ N=$((N+1))
+ if [ "$N" == "10" ]; then
+ echo "Timed out waiting for notarization"
+ exit 1
+ fi
+ done
- xcrun stapler staple "$dmg"
- set +e
+ xcrun stapler staple "$dmg"
+ set +e
+
+ fi
rm $tmp_dmg
rm -rf $vol_name